Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000745Core InformUnderstandingpublic2011-09-13 09:152014-05-07 07:33
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000745: Understand "two words" as something new compiles, though it doesn't do anything.
DescriptionThe command:

Understand "foo" as something new.

only works when "foo" is a single word. But the compiler accepts it even when it's two words, even though it doesn't do anything.
Minimal Source Text To Reproduce
Bedroom is a room. The bed is an enterable supporter in Bedroom. The player is on bed. Understand 
the command "get up" as something new. Test me with "get up". 
Additional InformationSee http://www.intfiction.org/forum/viewtopic.php?f=7&t=3174&p=22513&sid=e2abd989ddee4d28b16a202b33e267f8 [^]

This is distinct from the case where you type

Understand "xplizs" as something new.

which (as explained in 16.3) does nothing, but would do something if an extension defined "xpilzs" as a command. In this case, the understand... as something new command can never do anything, and should be rejected.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0002503)
graham (administrator)
2014-02-15 04:11

I've added a suitable problem message.

- Issue History
Date Modified Username Field Change
2011-09-13 09:15 mattweiner New Issue
2011-09-16 09:26 EmacsUser Status new => confirmed
2014-02-15 04:11 graham Note Added: 0002503
2014-02-15 04:11 graham Status confirmed => resolved
2014-02-15 04:11 graham Resolution open => fixed
2014-02-15 04:11 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker